<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/MyProfilePage.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/SystemArticle.inc.php" );

	require_once( $GLOBALS["site_root"]."/includes/widgets/MyMembershipsPane.inc.php" );
	
	require_once( $GLOBALS["site_root"] . "/includes/models/MyMember.inc.php" );
	
	class MyMembershipsPage extends DefaultFrontend {
		protected $oMyMembershipsPane;

		public function __construct( $id = "MyMembershipsPage" , $parent = null , $pagetype = "my_profile" ) {
			parent::__construct( $id , $parent , $pagetype );
			$mmm = new MyMemberModel();
			if ($mmm->isMemberLoggedin()) {
				$this->oMyMembershipsPane = new MyMembershipsPane( "content_widget" , $this );
			} else {
				$this->oMyMembershipsPane = new SystemArticle( "content_widget" , $this , "sys_error_user_has_to_login" );
			}
		}
	}
?>
